Get Content Library
Retrieves a specific content library via URN.
Retrieves a specific content library via URN.
Request
URI
GET
https://{api_host}/cloudapi/v1/contentLibraries/{libraryUrn}
COPY
Path Parameters
string
libraryUrn
Required
libraryUrn
Responses
200
OK
Returns
ContentLibrary
of type(s)
application/json;version=9.1.0
{
"id": "string",
"name": "string",
"description": "string",
"org": {
"name": "string",
"id": "string"
},
"libraryType": "string",
"isSubscribed": false,
"isShared": false,
"creationDate": "string",
"storageClasses": [
{
"name": "string",
"id": "string",
"region": {
"name": "string",
"id": "string"
}
}
],
"isProjectScoped": false,
"allProjectsPermission": "string",
"projectPermissions": [
{
"permissions": "string",
"projectAssignment": {
"name": "string",
"id": "string"
}
}
],
"versionNumber": 0,
"subscriptionConfig": {
"subscriptionUrl": "string",
"password": "string",
"needLocalCopy": false
},
"autoAttach": false,
"status": "READY, NOT_READY, FAILED, PARTIALLY_READY"
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/contentLibraries/{libraryUrn}
Availability
Added in 9.0.0
On This Page
Content Library Operations
GET
Query Content Libraries
POST
Create Content Library
POST
Refresh Content Library
POST
Sync Content Library
GET
Get Content Library
PUT
Update Content Library
DELETE
Delete Content Library
GET
Query Content Library Project Permissions
PUT
Update Content Library Project Permissions